package labs.lab09_arrays;
/**
 * Theater application main file for lab 9
 * 
 * @author <a href='mailto:pandre.mudry&#64;hevs.ch'> Pierre-Andr Mudry</a>
 * @version 1.0
 **/
public class TheaterApplication {
	public static void main(String[] args) {		
		System.out.println("Theater management system rev 1.0");
		System.out.println("*********************************");
		
		Theater myTheater = new Theater(4, 9);
		 
		Seat s = myTheater.getSeat(0, 0);
		System.out.println("- Seat at location (0,0) has coordinates " + s.column + s.row);
		
		s = myTheater.getSeat(2, 3);
		System.out.println("- Seat at location (2,3) has coordinates " + s.column + s.row + "\n");
		
		// Let's occupy reserve some seats
		myTheater.occupySeat(3, 2);
		myTheater.occupySeat(0, 2);
		myTheater.occupySeat(0, 3);
		myTheater.occupySeat(0, 7);
		
		// Display seats map of the theater
		System.out.println(myTheater.toString());
		
		myTheater.displayOccupation();
		
		// Optional part
		System.out.println("--------------------------------------------");
		System.out.println("- Testing the get continuous seats method");
		System.out.println("--------------------------------------------");
		
		Seat[] reservedSeats = myTheater.getContinuousSeats(4);		
		
		if(reservedSeats != null){
			System.out.println("Got the contiguous seats : ");
			
			// Display the seats location
			for(int i = 0; i < reservedSeats.length; i++){
				System.out.print("- " + reservedSeats[i].column + reservedSeats[i].row + "\n");
			}			
			
			System.out.println();
		}
		else
		{
			System.out.println("Could not get contiguous seats !");
		}
		
		// Display the new state of the theater
		System.out.println(myTheater.toString());
	}
}
